%if 0%{?rhel} <= 5
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
%endif

Name:          juicer
Release:       4%{?dist}
Summary:       Pulp and release carts
Version:       0.7.1

Group:         Development/Libraries
License:       GPLv3+
Source0:       %{name}-%{version}.tar.gz
Url:           https://github.com/juicer

BuildArch:     noarch

Requires:      juicer-common = 0.7.1

%description
Pulp stuff, oh -- and release carts.

######################################################################
# juicer-common sub-package
%package common
Group:    Development/Libraries
Summary:  Files common to juicer and juicer-admin
Requires: python-BeautifulSoup
Requires: python-requests >= 0.13.1
Requires: rpm-python
Requires: PyYAML
Requires: python-progressbar
Requires: python >= 2.5
Requires: pymongo
Requires: python-magic
BuildRequires: python-devel

%description common
Provides common resources like documentation, shared libraries, and
utilities for juicer and juicer-admin.

######################################################################
# juicer-admin sub-package
%package admin
Group:    Development/Libraries
Summary:  Manage a pulp repository server
Requires: juicer-common = 0.7.1

%description admin
The juicer-admin utility lets you manage users, user roles, create,
and delete repositories on a pulp server.

######################################################################

%prep
%setup -q

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --root=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/{man1,man5}/
cp -v docs/man/man1/*.1 $RPM_BUILD_ROOT/%{_mandir}/man1/
cp -v docs/man/man5/*.5 $RPM_BUILD_ROOT/%{_mandir}/man5/
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/juicer
cp -vr share/juicer/completions $RPM_BUILD_ROOT/%{_datadir}/juicer/
cp -vr share/juicer/juicer.conf $RPM_BUILD_ROOT/%{_datadir}/juicer/

%clean
rm -rf $RPM_BUILD_ROOT

######################################################################
# files for 'juicer' package
%files
%defattr(-,root,root)
%{python_sitelib}/juicer/juicer
%{_bindir}/juicer

######################################################################
%files common
%{python_sitelib}/juicer*-info
%{python_sitelib}/juicer/__init__.py*
%{python_sitelib}/juicer/common
%{python_sitelib}/juicer/utils
%doc README.md RELEASES.md docs/markdown LICENSE
%doc %{_mandir}/man1/juicer*
%doc %{_mandir}/man5/juicer*
%{_datadir}/juicer*

######################################################################
%files admin
%{_bindir}/juicer-admin
%{python_sitelib}/juicer/admin

######################################################################
%changelog
* Thu Mar 20 2014 Tim Bielawa <tbielawa@redhat.com> - 0.7.1-4
- Clean up tasks from code review
- No altered functionality
- Output from repo import --noop is more terse

* Thu Mar  6 2014 Tim Bielawa <tbielawa@redhat.com> - 0.7.1-3
- Multithread the repo import operation for great good

* Thu Mar  6 2014 Tim Bielawa <tbielawa@redhat.com> - 0.7.1-2
- Add juicer cart delete command
- Fix up a bunch of lint and unit tests

* Wed Mar  5 2014 Tim Bielawa <tbielawa@redhat.com> - 0.7.1-1
- Import/Export repository configurations from/to json files

* Tue Jan 21 2014 Alex Chvatal <achvatal@redhat.com> - 0.7.0-1
- Release of 0.7.0, "Orange Rind"

* Mon Jan 20 2014 Andrew Butcher <abutcher@redhat.com> - 0.6.3-1
- Fix broken push code. Adds test with multiple rpms.
- Pulp 2.3.1 integration.

* Tue Jan 14 2014 Andrew Butcher <abutcher@redhat.com> - 0.6.2-1
- Promotion fixes. #191
- Standard syntax changes. #178

* Tue Oct 22 2013 Tim Bielawa <tbielawa@redhat.com> - 0.6.1-2
- Make it harder to get unsigned bits into places requiring signatures

* Sat Oct 19 2013 Andrew Butcher <abutcher@redhat.com> - 0.6.1-1
- Release of 0.6.1, "Lemon Squeezings Hotfix"
- Bug Fixes/Features: 167, 168, 171
- Added python-magic dep

* Thu Oct 10 2013 Tim Bielawa <tbielawa@redhat.com> - 0.6.0-1
- Release of 0.6.0, "Lemon Squeezings"
- Bug Fixes/Features galore: 160, 157, 155, 102, 105, 104, 139, 154, 133, 152, 121, 136, 144
- New juicer command: publish
- New juicer-admin command/options: list-users, --checksum-type
- Both commands now have a -V,--version option
- Added PyYAML dep

* Fri Sep 20 2013 Tim Bielawa <tbielawa@redhat.com> - 0.5.1-1
- Too many bug fixes to list
- Ability to merge carts
- Lots of documentation/usage updates/corrections

* Mon Jun 24 2013 Tim Bielawa <tbielawa@redhat.com> - 0.5.0-1
- Release of 0.5.0, "Lovecraft in Raleigh"
- Tons of changes necessary for switching to targeting Pulp v2, GitHub #100
- Support for syncing a repo from another source, GitHub #45
- Code cleanup and minor refactoring, GitHub #101

* Mon Nov  5 2012 Tim Bielawa <tim@redhat.com> - 0.4.0-1
- Release of 0.4.0, "Hello, my dear"
- System level configs
- More helpful error messages
- New 'juicer update' method
- No more python-magic requires, swap with rpm-python
- Now with pulp setup instructions
- Major code refactoring (clean & tidy++)
- And a bunch of bug fixes: http://git.io/CvaXtA

* Wed Aug 15 2012 Tim Bielawa <tim@redhat.com> - 0.3.0-1
- Release of 0.3.0
- Adds Cart promotion
- Adds RPM signing support
- Adds progress bar during uploads
- Split into 3 packages
- Improved search output (links to results now included!)
- Clean up some error messages/stack traces and exit cleanly
- Password prompt for user creation/update
- Reworked config file syntax

* Sun Jul 22 2012 Tim Bielawa <tim@redhat.com> - 0.2.0-1
- First actual release!

* Sun Jul 22 2012 Tim Bielawa <tim@redhat.com> - 0.1.9-1
- Prepare for 0.2.0 release.

* Tue Jul 17 2012 Tim Bielawa <tim@redhat.com> - 0.1.7-1
- Bump. Almost on a 0.2.0 release.

* Wed Jul 11 2012 Tim Bielawa <tim@redhat.com> - 0.1.3-1
- Now with client-side cart creation.

* Tue Jul 10 2012 Tim Bielawa <tim@redhat.com> - 0.1.2-1
- Now with upload functionality

* Tue Jun 26 2012 Tim Bielawa <tim@redhat.com> - 0.1.0-1
- juicer-admin code complete

* Mon Jun 18 2012 Tim Bielawa <tbielawa@redhat.com> - 0.0.1-1
- First release
